<template>
  <div class="indexBOx">
    <div class="top">
      <div class="left">
        <div class="title"><span>年度能耗统计(按企业)</span></div>
        <div class="bottom1">
          <div class="bottomtable">
            <div class="tableth" style="
                background: linear-gradient(270deg, #010714 0%, #010714 100%);
                box-shadow: 0px 0px 18.48px 5.52px rgba(77, 177, 255, 0.52)
                  inset;
                height: 58px;
                font-size: 20px;
                border-radius: 10px;
              ">
              <div class="tableth1">企业名称</div>
              <div class="tableth1">年度用水量<br />（立方米）</div>
              <div class="tableth1">年度用电量 <br />（万千瓦时）</div>
            </div>
            <div class="scrollList">
              <vueSeamlessScroll :data="SYData" class="seamless-warp warp" :class-option="defaultOption">
                <div class="tableth tablethT" @click="showNoun(item)" v-for="item in SYData">
                  <div class="tableth1" :title="item.properties.NDYSL">
                    {{
                        item.properties.NAME.length > 18
                          ? item.properties.NAME.substring(0, 18)
                          : item.properties.NAME
                    }}
                  </div>
                  <div class="tableth1">{{ item.properties.NDYSL }}</div>
                  <div class="tableth1">{{ item.properties.NDYDL }}</div>
                </div>
              </vueSeamlessScroll>
            </div>
          </div>
        </div>
      </div>
      <div class="right">
        <div class="title">
          <span>在建项目情况</span>
          <button style="margin-right: 10%" @click="XMXQ()">详情</button>
        </div>
        <div class="bottom1">
          <div class="bottomtable">
            <div class="tableth" style="
                background: linear-gradient(270deg, #010714 0%, #010714 100%);
                box-shadow: 0px 0px 18.48px 5.52px rgba(77, 177, 255, 0.52)
                  inset;
                height: 58px;
                font-size: 20px;
                border-radius: 10px;
              ">
              <div class="tableth1">项目名称</div>
              <div class="tableth1">项目所属企业</div>
              <div class="tableth1">所属产业链</div>
            </div>
            <div class="scrollList">
              <vueSeamlessScroll :data="listData" class="seamless-warp warp" :class-option="defaultOption">
                <div class="tableth tablethT" v-for="(item, i) in listData" :key="i">
                  <div class="tableth1" style="color: #00d2ff" :title="item.name">
                    {{
                        item.name.length > 18
                          ? item.name.substring(0, 18)
                          : item.name
                    }}
                  </div>
                  <div class="tableth1">{{ item.compamny }}</div>
                  <div class="tableth1" style="color: #ffd0a2">
                    {{ item.message }}
                  </div>
                </div>
              </vueSeamlessScroll>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="bottom">
      <div class="left">
        <div class="title"><span>总用电量</span></div>
        <div id="leftcharts" class="showEcharts">
          <div class="echartsImg img1"></div>
          <div class="echartsLabel">
            /总用电量
            <p>{{ ZYDL }}度</p>
          </div>
        </div>
      </div>
      <div class="right">
        <div class="title"><span>总用水量</span></div>
        <div id="rightcharts" class="showEcharts">
          <div class="echartsImg img2"></div>
          <div class="echartsLabel1">
            /总用水量
            <p>{{ ZYSL }}吨</p>
          </div>
        </div>
      </div>
    </div>
    <el-dialog v-dialogDrag :visible.sync="dialogVisible" title="在建项目表" width="60%" class="datlog"
      :before-close="handleDialogClose1">
      <el-tabs v-model="activeName" @tab-click="handleClick">
        <el-table class="Mytable" v-if="activeName == 'first'" top="100px" :data="
          tableData1.slice(
            (currentPage1 - 1) * pageSize1,
            currentPage1 * pageSize1
          )
        ">
          <el-table-column prop="num" label="序号" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="corpName" label="项目名称" width="500" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="status" label="项目所属企业" width="300" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="area" label="所属集群" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="5electric" label="开工日期" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="allElectric" label="竣工日期" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="5output" label="备案投资额" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="allOutput" label="当年累计到位资金" show-overflow-tooltip>
          </el-table-column>
          <el-table-column prop="BF" label="入驻标房"> </el-table-column>
          <el-table-column prop="TB" label="头部企业"> </el-table-column>
          <el-table-column prop="SZ" label="数字经济项目" width="200">
          </el-table-column>
          <el-table-column prop="GKJ" label="高科技项目"> </el-table-column>
        </el-table>
        <el-pagination background layout="prev, pager, next,jumper, ->, total" :total="tableData1.length"
          @current-change="handleCurrentChange1" :current-page="currentPage1" :page-size="pageSize1">
        </el-pagination>
      </el-tabs>
    </el-dialog>
  </div>
</template>

<script>
import HttpUrl from "../../../config/http.js";
import Table1 from "../../../assets/json/dataZJXMV1.json";
import Table2 from "../../../assets/json/dataLCKFV1.json";
import * as echarts from "echarts";
import { axios_get, axios_post } from "../../../until/request.js";
import scrool from "./scrool.vue";
import vueSeamlessScroll from "vue-seamless-scroll";
import axios from "axios";
export default {
  components: {
    vueSeamlessScroll,
  },
  data() {
    return {
      ZYDL: 25527.42,
      ZYSL: 25527.42,
      currentPage1: 1, //当前页 刷新后默认显示第一页
      pageSize1: 15, //每一页显示的数据量 此处每页显示6条数据

      currentPage2: 1, //当前页 刷新后默认显示第一页
      pageSize2: 15, //每一页显示的数据量 此处每页显示6条数据
      fileSrc:
        "http://view.xdocin.com/xdoc?_xdoc=http://120.201.201.29:10000/static/061023015617_02022.pdf",
      chart1: {},
      chart1option: {},
      dialogVisible: false,
      list: [
        {
          name: "数字化改造项目",
          compamny: "朝阳东锆新材料有限公司",
          message: "厂区装修完成、部分车间",
        },
        {
          name: "年产15000吨高品质不溶性硫磺数字化改造项目",
          compamny: "朝阳明宇化工有限公司",
          message: "数字办公楼主体完工",
        },
        {
          name: "板材压贴及板材深加工项目",
          compamny: "东来（朝阳市）木业有限公司",
          message: "调试设备",
        },
        {
          name: "年产2000吨豆腐猫砂项目",
          compamny: "朝阳宏盛科技有限公司",
          message: "调试设备",
        },
        {
          name: "朝阳柳城经济开发区智慧数字园区建设项目",
          compamny: "朝阳县中城建设投资有限公司",
          message: "调试设备",
        },
        {
          name: "电力设备制造项目",
          compamny: "辽宁瑞博电力设备有限公司",
          message: "场地平整",
        },
        {
          name: "林产品深加工生产线项目",
          compamny: "辽宁益隆生物科技有限公司",
          message: "正在标房除锈",
        },
        {
          name: "年产10万吨氧氯化锆项目",
          compamny: "辽宁华祥新材料有限公司",
          message: "试生产",
        },
        {
          name: "新建轧辊生产线项目",
          compamny: "朝阳盛鑫冶金轧辊有限公司",
          message: "试生产",
        },
        {
          name: "年产70000吨高速公路护栏及10000个高低压配电箱生产建设项目",
          compamny: "辽宁恒通安全科技有限公司",
          message: "门卫房建设完成，部分设备已安装",
        },
        {
          name: "工业污水处理与一般工业固废处置及综合利用项目",
          compamny: "朝阳百盛钛业股份有限公司",
          message: "厂房主体完工，安装设备",
        },
        {
          name: "日产20000张人造板建设项目",
          compamny: "朝阳帅杨木业有限公司",
          message: "试生产",
        },
        {
          name: "环保及智能化设备生产制造项目",
          compamny: "约克节能环保（辽宁）有限公司",
          message: "安装设备",
        },
        {
          name: "年产2000吨钒氮合金建设项目",
          compamny: "朝阳市汇洋钒氮新材料有限责任公司",
          message: "调试设备",
        },
        {
          name: "年产10000吨高速钢轧辊项目",
          compamny: "辽宁省亿联盛新材料有限公司",
          message: "试生产",
        },
        {
          name: "年产16万吨甲醛溶液、5万吨脲醛、2万吨酚醛、年周转10万吨沥青项目",
          compamny: "朝阳亿丰化工新材料有限公司",
          message: "试生产",
        },
        {
          name: "年产9000吨家具封边条建设项目",
          compamny: "润城（朝阳）新材料科技发展有限公司",
          message: "试生产",
        },
        {
          name: "年产2万吨精密铸件建设项目",
          compamny: "朝阳红庆装备制造有限公司",
          message: "厂房、办公楼主体完工",
        },
        {
          name: "年产120万只包装桶建设项目",
          compamny: "辽宁盛源桶业有限公司",
          message: "试生产",
        },
        {
          name: "年产1000吨通用设备项目",
          compamny: "辽宁天实机械有限公司",
          message: "调试设备",
        },
        {
          name: "年产3万吨盘扣式脚手架项目",
          compamny: "辽宁三和新材料科技有限公司",
          message: "试生产",
        },
        {
          name: "年产23万吨再生金属铸件及制品项目",
          compamny: "朝阳北鑫金属加工有限公司",
          message: "厂房、办公楼主体完工",
        },
        {
          name: "有色金属快速低温形成项目",
          compamny: "辽宁省金钛新材料有限公司",
          message: "调试设备",
        },
        {
          name: "年产5000万个塑料包装袋项目",
          compamny: "珂豪（辽宁省）包装实业有限公司",
          message: "试生产",
        },
        {
          name: "LXB二期朝阳柳城经济开发区配套工程（净水厂及管网）项目",
          compamny: "朝阳县水务局",
          message: "安装设备",
        },
        {
          name: "朝阳县飞地（扶贫）产业园道路工程项目",
          compamny: "朝阳柳城经济开发区管理委员会规划建设局",
          message: "部分路段完工",
        },
        {
          name: "朝阳柳城经济开发区园区道路工程项目",
          compamny: "朝阳柳城经济开发区管理委员会规划",
          message: "部分路段完工",
        },
        {
          name: "朝阳柳城经济开发区蒸汽、热力管网建设项目（一期工程）",
          compamny: "朝阳县中城建设投资有限公司",
          message: "管网已通气",
        },
        {
          name: "朝阳柳城经济开发区消防站建设项目",
          compamny: "朝阳安德投资有限公司",
          message: "主体完工",
        },
        {
          name: "年产5000吨海绵锆生产线建设项目",
          compamny: "辽宁华锆新材料有限公司",
          message: "已投产",
        },
      ],
      listData: [
        {
          name: "高熵合金智能制造产业园项目",
          compamny: "北京温森宇成科技发展有限公司",
          message: "有色金属新材料",
        },
        {
          name: "朝阳市中心城区（北票市、朝阳县、双塔 区、龙城区）垃圾焚烧发电项目",
          compamny: "朝阳市住房和城乡建设局",
          message: "其他",
        },
        {
          name: "朝阳经济技术开发区金达钛业66KV线路工程项目",
          compamny: "朝阳经开新创开发建设投资有限公司",
          message: "其他",
        },
        {
          name: "年产8万吨海绵钛原料建设项目",
          compamny: "朝阳金达钛业股份有限公司",
          message: "有色金属新材料",
        },
        {
          name: "辽宁川州500千伏变电站220千伏送出工程（双塔区段）",
          compamny: "国家电网",
          message: "其他",
        },
        {
          name: "朝阳至慕容联网线路工程项目",
          compamny: "国家电网",
          message: "其他",
        },
        {
          name: "朝阳慕容开关站220千伏线路工程（双塔区段）",
          compamny: "国家电网",
          message: "其他",
        },
        {
          name: "年产2万吨棉线项目",
          compamny: "辽宁隆盛纺织新材料有限公司",
          message: "轻纺制造",
        },
        {
          name: "年产3000万套厨房用品及300万件泳装项目",
          compamny: "辽宁天润纺织制品有限公司",
          message: "轻纺制造",
        },
        {
          name: "年产5000万条毛巾浴巾项目",
          compamny: "辽宁琳熙纺织新材料有限公司",
          message: "轻纺制造",
        },
        {
          name: "高端装备制造产业园项目",
          compamny: "朝阳经开新途建设投资有限公司",
          message: "装备制造",
        },
        {
          name: "辽宁新都黄金有限责任公司数字化工厂改造项目",
          compamny: "辽宁新都黄金有限公司",
          message: "新材料",
        },
        {
          name: "高品质海绵钛全流程生产技术数字化改造",
          compamny: "朝阳金达钛业股份有限公司",
          message: "新材料",
        },
        {
          name: "双塔区桃花吐镇南台村一期7.5MW分散式风电项目",
          compamny: "宝地新能源有限公司",
          message: "清洁能源",
        },
        {
          name: "双塔区桃花吐镇南台村二期7.5MW分散式风电项目",
          compamny: "宝地新能源有限公司",
          message: "清洁能源",
        },
        {
          name: "年产5000台备用电源项目",
          compamny: "辽宁阳都电力集团有限公司",
          message: "装备制造",
        },
        {
          name: "新型高分子氟树脂管材、板材及膨体制品生产项目",
          compamny: "阿尔法新材料（辽宁）有限责任公司",
          message: "新材料",
        },
        {
          name: "军民两用供电系统项目",
          compamny: "朝阳恒利电子科技有限公司",
          message: "装备制造",
        },
        {
          name: "电子科技项目",
          compamny: "辽宁优启科技有限公司",
          message: "其他",
        },
      ],
      SYData: [],
      buttonState: false,
      tableData2: [],
      tableData1: [],
      activeName: "first",
    };
  },
  computed: {
    defaultOption() {
      return {
        step: 0.2, // 数值越大速度滚动越快
        limitMoveNum: 2, // 开始无缝滚动的数据量 this.dataList.length
        hoverStop: true, // 是否开启鼠标悬停stop
        direction: 1, // 0向下 1向上 2向左 3向右
        openWatch: true, // 开启数据实时监控刷新dom
        singleHeight: 0, // 单步运动停止的高度(默认值0是无缝不停止的滚动) direction => 0/1
        singleWidth: 0, // 单步运动停止的宽度(默认值0是无缝不停止的滚动) direction => 2/3
        waitTime: 1000, // 单步运动停止的时间(默认值1000ms)
      };
    },
  },
  mounted() {
    this.tableData1 = Table1;
    this.tableData2 = Table2;
    this.GetWaterAirElec();
    // this.showRightChart();
    // this.showLeftChart();
  },
  methods: {
    showNoun(res) {
      sgworld.Navigate.flyToPosition(
        res.geometry.coordinates[0],
        res.geometry.coordinates[1],
        3000
      );
      console.log(res);
      this.$bus.$emit("toPopout", res);
      // sgworld.Viewer.camera.setView({
      //   destination: Cesium.Cartesian3.fromDegrees(
      //     res.geometry.coordinates[0],
      //     res.geometry.coordinates[1],
      //     3000
      //   ),
      // });
    },
    showRightChart() {
      var chartDom = document.getElementById("leftcharts");
      var myChart = echarts.init(chartDom);
      var option;
      option = {
        series: [
          {
            type: "gauge",

            min: 0,
            max: 1000,
            axisLine: {
              lineStyle: {
                width: 30,
                color: [
                  [0.3, "#67e0e3"],
                  [0.7, "#37a2da"],
                  [1, "#fd666d"],
                ],
              },
            },
            pointer: {
              itemStyle: {
                color: "auto",
              },
            },
            axisTick: {
              distance: -30,
              length: 8,
              lineStyle: {
                color: "#fff",
                width: 2,
              },
            },
            splitLine: {
              distance: -30,
              length: 30,
              lineStyle: {
                color: "#fff",
                width: 4,
              },
            },
            axisLabel: {
              color: "auto",
              distance: 40,
              fontSize: 20,
              show: false,
            },
            detail: {
              valueAnimation: true,
              formatter: "{value} 度",
              color: "auto",
              fontSize: 25,
            },
            data: [
              {
                value: 25527.42,
              },
            ],
          },
        ],
      };

      option && myChart.setOption(option);
    },
    showLeftChart() {
      var chartDom = document.getElementById("rightcharts");
      var myChart = echarts.init(chartDom);
      var option;
      option = {
        series: [
          {
            type: "gauge",
            min: 0,
            max: 10000000000,
            axisLine: {
              lineStyle: {
                width: 30,
                color: [
                  [0.3, "#67e0e3"],
                  [0.7, "#37a2da"],
                  [1, "#fd666d"],
                ],
              },
            },
            pointer: {
              itemStyle: {
                color: "auto",
              },
            },
            axisTick: {
              distance: -30,
              length: 8,
              lineStyle: {
                color: "#fff",
                width: 2,
              },
            },
            splitLine: {
              distance: -30,
              length: 30,
              lineStyle: {
                color: "#fff",
                width: 4,
              },
            },
            axisLabel: {
              color: "auto",
              distance: 40,
              fontSize: 20,
              show: false,
            },
            detail: {
              valueAnimation: true,
              formatter: "{value} 吨",
              color: "auto",
              fontSize: 25,
            },
            data: [
              {
                value: 504597,
              },
            ],
          },
        ],
      };
      option && myChart.setOption(option);
    },
    XMXQ() {
      this.dialogVisible = true;
      this.buttonState = true;
    },
    handleDialogClose1() {
      this.dialogVisible = false;
      this.buttonState = false;
    },
    handleClick(tab, event) {
      console.log(tab, event);
    },
    handleCurrentChange1(currentPage) {
      this.currentPage1 = currentPage; //每次点击分页按钮，当前页发生变化
    },
    handleCurrentChange2(currentPage) {
      this.currentPage2 = currentPage; //每次点击分页按钮，当前页发生变化
    },
    GetWaterAirElec() {
      // axios_post("/corp/corpOperationDatas")
      var url =
        HttpUrl.GISERVEER +
        "/gisserver/wfsserver/JKQ_QYD?version=1.3.0&request=GetFeature&typename=qy_point&propertyname=*&bbox=120.42461209746953%2C41.53703145231882%2C120.59147171190538%2C41.69146257884096&format=json";
      axios.get(url).then((response) => {
        this.SYData = response.data.features;
        console.log(this.SYData);
        // let dataX = [];
        // let datawater = [];
        // let dataelect = [];
        // let dataair = [];
        // let mycount =
        //   response.data.data.length > 6 ? 6 : response.data.data.length;
        // for (let i = 0; i < mycount; i++) {
        //   dataX.push(response.data.data[i].corpName);
        //   datawater.push(response.data.data[i].waterCon);
        //   dataelect.push(response.data.data[i].fuelgasCon);
        //   dataair.push(response.data.data[i].powerCon);
        // }
        // this.drawChart4(dataX, datawater, dataair, dataelect);

        //console.log(response);
      });
    },
  },
};
</script>
<style scoped="scoped" src="@/assets/css/dialog.css">
</style>
<style lang="less" scoped="scoped">
.indexBOx {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;

  .top {
    height: 70%;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
  }

  .bottom {
    height: 30%;
    width: 100%;
  }

  .left {
    width: 49%;
    height: 100%;
    float: left;
  }

  .right {
    width: 49%;
    height: 100%;
    margin-left: 1%;
    float: left;
  }

  .bottom1 {
    height: 90%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .bottomtable {
    height: 100%;
    width: 100%;
    margin-top: 20px;

    .tablethT {
      height: 90px;
      background: #0b639a;
      opacity: 0.8;
      border-radius: 10px;
      font-size: 20px;
      margin-top: 9px;
    }

    .tableth {
      height: 80px;
      width: 96%;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: #06101a;
      font-size: 22px;

      .tableth1 {
        width: 34%;
        height: 100%;
        color: #ffffff;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        // border-left: solid 1px #296ea5;
        // border-bottom: solid 1px #296ea5;
      }
    }

    .tableth:nth-child(odd) {
      background-color: #06101a;
    }
  }

  .title {
    width: 100%;
    height: 38px;
    background-image: url(../../../assets/images/title.png);
    background-size: 100% 100%;
    font-family: MytitileName;
    font-size: 24px;
    display: flex;
    align-items: center;
    color: #98deff;
    letter-spacing: 3px;

    span {
      width: 80%;
      text-indent: 70px;
    }

    button {
      height: 80%;
      width: 20%;
      font-size: 22px;
      font-family: "microsoft yahei";
      background-color: transparent;
      color: #ffffff;
      border: solid 1px #04a7dc;
      background-color: #020919;
      border-radius: 10px;
    }

    .button {
      height: 80%;
      width: 20%;
      font-size: 30px;
      font-family: "microsoft yahei";
      background-color: transparent;
      color: #000000;
      border: solid 1px #04a7dc;
      background-color: RGB(132, 206, 230);
      border-radius: 10px;
    }
  }

  .showEcharts {
    width: 100%;
    height: calc(100% - 38px);

    .echartsImg {
      width: 50%;
      height: 60%;
      margin-left: 25%;
      margin-top: 5%;
    }

    .img1 {
      background-image: url(../../../assets/images/d1.png);
      background-size: 100% 100%;
    }

    .img2 {
      background-image: url(../../../assets/images/d2.png);
      background-size: 100% 100%;
    }

    .echartsLabel {
      font-family: MytitileName;
      font-size: 40px;
      line-height: 50px;
      color: #73e9ff;
      text-align: center;
      margin-top: 4%;

      p {
        color: white;
      }
    }

    .echartsLabel1 {
      font-family: MytitileName;
      font-size: 40px;
      line-height: 50px;
      color: #64fbc1;
      text-align: center;
      margin-top: 4%;

      p {
        color: white;
      }
    }
  }

  .scrollList {
    width: 100%;
    height: calc(100% - 38px);
    overflow: hidden;
  }
}

/deep/ .el-tabs__item {
  background-color: #26486a;
  color: #fff;
  font-size: 30px;
  height: 70px;

  width: 200px;
  line-height: 80px;
  border: none;
  text-align: center;
}

/deep/ .el-tabs__item.is-active {
  color: #1890ff;
}

/deep/ .el-tabs__header {
  background-color: #26486a;
  margin: 0px;
}

.Mytable /deep/ .el-table__row {
  background-color: rgba(22, 48, 83, 1);
  border: none;
  height: 100px;
}

.Mytable /deep/ .el-table__row:hover {
  color: #273048;
  background-color: #273048;
}

.Mytable /deep/ .el-table__cell {
  line-height: 80px;
  font-size: 28px;
  color: #fff;
  border: none;
  background-color: #26486a;
  //border-bottom: dotted 1px grey;
  border-top: solid 1px grey;
}

.Mytable /deep/ .cell {
  line-height: 50px;
  text-align: center;
}

.Mytable /deep/ .el-table__body tr:hover>td {
  background-color: #273048 !important;
}

.Mytable /deep/ .el-table--border .el-table__cell {
  border: none;
}

.el-pagination {
  background-color: #26486a;
}

.datlog {
  margin-bottom: 50px;
  overflow: auto;
}
</style>